Bug 87444 - perl 5.6.1 include in redhat 8 doesn't fully support >2g files
perl 5.6.1 include in redhat 8 doesn't fully support >2g files
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: perl (Show other bugs)
8.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-26 17:17 EST by Bob McCormick
Modified: 2007-04-18 12:52 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-03-30 15:56:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bob McCormick 2003-03-26 17:17:59 EST
Description of problem:

perl 5.6.1 include in redhat 8 doesn't fully support >2g files

Version-Release number of selected component (if applicable):

Version     : 5.6.1
Release     : 26.72.3   

How reproducible:

Easily reproducible

Steps to Reproduce:
1. create a file larger than 2 gig. (dd if=/dev/zero of=test.file bs=1024 
count=3000000000)
2.perl -e 'print -M test.file' (This should print the size of the file.  It 
works if test.file is smaller than 2 gig)

    
Actual results:

The value returned by -M is undefined.  

Expected results:

-M should return the size of the file, and does if the file is smaller than 2 
gig.

Additional info:
Comment 1 Chip Turner 2003-03-30 15:56:23 EST
Red Hat 8 ships with perl 5.8.0, not perl 5.6.1.  Perl 5.8.0 in RH 8 does
support large files.

Note You need to log in before you can comment on or make changes to this bug.